ServerEvents.recipes(event => {
    const shaped = event.recipes.minecraft.crafting_shaped
    const shapeless = event.shapeless



    event.remove({id: 'minecraft:coal_block'})
    event.remove({id: 'minecraft:coal'})
    event.remove({id: 'minecraft:copper_block'})
    event.remove({id: 'minecraft:copper_ingot'})
    event.remove({id: 'minecraft:diamond_block'})
    event.remove({id: 'minecraft:diamond'})
    event.remove({id: 'minecraft:emerald_block'})
    event.remove({id: 'minecraft:emerald'})
    event.remove({id: 'minecraft:gold_block'})
    event.remove({id: 'minecraft:gold_ingot_from_blasting_deepslate_gold_ore'})
    event.remove({id: 'minecraft:gold_ingot_from_blasting_raw_gold'})
    event.remove({id: 'minecraft:gold_ingot_from_gold_block'})
    event.remove({id: 'minecraft:gold_ingot_from_gold_block'})
    event.remove({id: 'minecraft:gold_ingot_from_nuggets'})
    event.remove({id: 'minecraft:gold_ingot_from_smelting_deepslate_gold_ore'})
    event.remove({id: 'minecraft:gold_ingot_from_smelting_raw_gold'})
    event.remove({id: 'minecraft:gold'})
    event.remove({id: 'minecraft:iron_block'})
    event.remove({id: 'minecraft:iron_ingot_from_blasting_deepslate_iron_ore'})
    event.remove({id: 'minecraft:iron_ingot_from_blasting_raw_iron'})
    event.remove({id: 'minecraft:iron_ingot_from_iron_block'})
    event.remove({id: 'minecraft:iron_ingot_from_nuggets'})
    event.remove({id: 'minecraft:iron_ingot_from_smelting_deepslate_iron_ore'})
    event.remove({id: 'minecraft:iron_ingot_from_smelting_raw_iron'})
    event.remove({id: 'minecraft:lapis_block'})
    event.remove({id: 'minecraft:lapis_lazuli'})
    event.remove({id: 'minecraft:raw_copper_block'})
    event.remove({id: 'minecraft:raw_copper'})
    event.remove({id: 'minecraft:raw_gold_block'})
    event.remove({id: 'minecraft:raw_gold'})
    event.remove({id: 'minecraft:raw_iron_block'})
    event.remove({id: 'minecraft:raw_iron'})
    event.remove({id: 'minecraft:redstone'})
    event.remove({id: 'minecraft:redstone_block'})
    event.remove({id: 'minecraft:netherite_ingot_from_netherite_block'})

    event.remove({id: 'alexcaves:furnace/gold_from_galena_ore_blasting'})
    event.remove({id: 'alexcaves:furnace/gold_from_galena_ore_smelting'})
    event.remove({id: 'alexcaves:furnace/iron_from_galena_ore_blasting'})
    event.remove({id: 'alexcaves:furnace/iron_from_galena_ore_smelting'})

    event.remove({id: 'create:blasting/gold_ingot_from_crushed'})
    event.remove({id: 'create:blasting/iron_ingot_from_crushed'})
    event.remove({id: 'create:blasting/silver_ingot_compat_oreganized'})
    event.remove({id: 'create:crafting/kinetics/empty_blaze_burner'})
    event.remove({id: 'create:crafting/materials/andesite_alloy_block'})
    event.remove({id: 'create:crafting/materials/andesite_alloy_from_block'})
    event.remove({id: 'create:crafting/materials/brass_block_from_compacting'})
    event.remove({id: 'create:crafting/materials/brass_ingot_from_decompacting'})
    event.remove({id: 'create:crafting/materials/experience_block'})
    event.remove({id: 'create:crafting/materials/experience_nugget_from_block'})
    event.remove({id: 'create:crafting/materials/raw_zinc_block'})
    event.remove({id: 'create:crafting/materials/raw_zinc_block'})
    event.remove({id: 'create:crafting/materials/raw_zinc'})
    event.remove({id: 'create:crafting/materials/zinc_block_from_compacting'})
    event.remove({id: 'create:crafting/materials/zinc_ingot_from_compacting'})
    event.remove({id: 'create:crafting/materials/zinc_ingot_from_decompacting'})
    event.remove({id: 'create:crushing/crimsite_recycling'})
    event.remove({id: 'create:crushing/diorite_recycling'})
    event.remove({id: 'create:crushing/diorite'})
    event.remove({id: 'create:crushing/golden_horse_armor'})
    event.remove({id: 'create:crushing/iron_horse_armor'})
    event.remove({id: 'create:crushing/prismarine_crystals'})
    event.remove({id: 'create:milling/cobblestone'})
    event.remove({id: 'create:mixing/brass_ingot'})
    event.remove({id: 'create:smelting/gold_ingot_from_crushed'})
    event.remove({id: 'create:smelting/iron_ingot_from_crushed'})
    event.remove({id: 'create:smelting/silver_ingot_compat_oreganized'})
    event.remove({id: 'create:splashing/crushed_raw_gold'})
    event.remove({id: 'create:splashing/oreganized/crushed_raw_lead'})
    event.remove({id: 'create:splashing/oreganized/crushed_raw_silver'})
    event.remove({id: 'create:splashing/oreganized/crushed_silver_ore'})

    event.remove({id: 'createdeco:netherite_ingot'})

    event.remove({id: 'create_cogs_invaders:copper_tube_crafting'})
    event.remove({id: 'create_cogs_invaders:copper_wire_crafting'})
    event.remove({id: 'create_cogs_invaders:diamond_shard_compacting'})
    event.remove({id: 'create_cogs_invaders:impure_diamond_mixing'})
    event.remove({id: 'create_cogs_invaders:impure_diamond_polishing_using_deployer'})
    event.remove({id: 'create_cogs_invaders:impure_diamond_polishing'})

    event.remove({id: 'createdieselgenerators:crafting/hammer'})
    event.remove({id: 'createdieselgenerators:crafting/pumpjack_head'})

    event.remove({id: 'create_henry:mixing/raw_rubber'})
    event.remove({id: 'create_henry:seething/crushed_raw_gold'})
    event.remove({id: 'create_henry:seething/crushed_raw_iron'})
    event.remove({id: 'create_henry:seething/oreganized/crushed_raw_silver'})
 
    event.remove({id: 'create_ironworks:materials/alloys/from_nuggets/mixing_brass'})
    event.remove({id: 'create_ironworks:materials/bronze/crafting_block_from_ingot'})
    event.remove({id: 'create_ironworks:materials/bronze/crafting_ingot_from_block'})
    event.remove({id: 'create_ironworks:materials/bronze/crafting_ingot_from_nugget'})
    event.remove({id: 'create_ironworks:materials/rose_quartz/crafting_block_from_item'})
    event.remove({id: 'create_ironworks:materials/rose_quartz/crafting_ingot_from_block'})
    event.remove({id: 'create_ironworks:materials/sturdy/crafting_block_from_ingot'})
    event.remove({id: 'create_ironworks:materials/sturdy/crafting_ingot_from_block'})
    event.remove({id: 'create_ironworks:materials/tin/crafting_block_from_ingot'})
    event.remove({id: 'create_ironworks:materials/tin/crafting_ingot_from_block'})
    event.remove({id: 'create_ironworks:materials/tin/crafting_ingot_from_nugget'})
    event.remove({id: 'create_ironworks:materials/tin/crafting_raw_tin_block_from_raw_tin'})
    event.remove({id: 'create_ironworks:materials/tin/crafting_raw_tin_from_raw_tin_block'})
    event.remove({id: 'create_ironworks:materials/tin/tin_ingot_from_blasting_raw_tin'})
    event.remove({id: 'create_ironworks:materials/tin/tin_ingot_from_smelting_raw_tin'})

    event.remove({id: 'create_oppenheimered:crushing/depth_charge_destruction'})

    event.remove({id: 'createmetallurgy:blasting/coke_from_coal'})
    event.remove({id: 'createmetallurgy:crafting/materials/bronze_block'})
    event.remove({id: 'createmetallurgy:crafting/materials/bronze_ingot_from_block'})
    event.remove({id: 'createmetallurgy:crafting/materials/coke_block'})
    event.remove({id: 'createmetallurgy:crafting/materials/coke_from_block'})
    event.remove({id: 'createmetallurgy:crafting/materials/obdurium_block'})
    event.remove({id: 'createmetallurgy:crafting/materials/obdurium_ingot_from_block'})
    event.remove({id: 'createmetallurgy:crafting/materials/raw_wolframite_block'})
    event.remove({id: 'createmetallurgy:crafting/materials/raw_wolframite'})
    event.remove({id: 'createmetallurgy:crafting/materials/steel_block'})
    event.remove({id: 'createmetallurgy:crafting/materials/steel_ingot_from_block'})
    event.remove({id: 'createmetallurgy:crafting/materials/tungsten_block'})
    event.remove({id: 'createmetallurgy:crafting/materials/tungsten_block'})
    event.remove({id: 'createmetallurgy:crafting/materials/tungsten_ingot_from_block'})
    event.remove({id: 'createmetallurgy:crafting/materials/tungsten_ingot'})
    event.remove({id: 'createmetallurgy:smelting/coke_from_coal'})
    event.remove({id: 'createmetallurgy:splashing/dirty_gold_dust'})

    event.remove({id: 'create_new_age:cutting/copper_sheet'})
    event.remove({id: 'create_new_age:shaped/generator_coil'})
    event.remove({id: 'create_new_age:thorium_multiplication'})
    event.remove({id: 'create_new_age:thorium/thorium_crushing'})

    event.remove({id: 'createnuclear:blasting/lead_ingot_for_lead_ore'})
    event.remove({id: 'createnuclear:blasting/lead_ingot_for_raw_lead'})
    event.remove({id: 'createnuclear:crushing/fix/crushed_raw_uranium'})
    event.remove({id: 'createnuclear:crushing/granite'})
    event.remove({id: 'createnuclear:crushing/raw_uranium_block'})
    event.remove({id: 'createnuclear:mixing/steel'})
    event.remove({id: 'createnuclear:pressing/graphene'})
    event.remove({id: 'createnuclear:smelting/lead_ingot_for_lead_ore'})
    event.remove({id: 'createnuclear:smelting/lead_ingot_for_raw_lead'})

    event.remove({id: 'libraryferret:blasting/iron_coins_jtl'})
    event.remove({id: 'libraryferret:smelting/iron_coins_jtl'})

    event.remove({id: 'oreganized:blast_deepslate_silver_ore'})
    event.remove({id: 'oreganized:blast_raw_silver'})
    event.remove({id: 'oreganized:create/blast_crushed_silver_ore'})
    event.remove({id: 'oreganized:create/smelt_crushed_silver_ore'})
    event.remove({id: 'oreganized:create/splashing/crushed_lead_ore'})
    event.remove({id: 'oreganized:create/splashing/crushed_raw_silver'})
    event.remove({id: 'oreganized:create/splashing/crushed_silver_ore'})
    event.remove({id: 'oreganized:electrum_block'})
    event.remove({id: 'oreganized:electrum_ingot_from_block'})
    event.remove({id: 'oreganized:netherite_ingot_from_nuggets'})
    event.remove({id: 'oreganized:silver_block'})
    event.remove({id: 'oreganized:silver_ingot_from_block'})
    event.remove({id: 'oreganized:smelt_deepslate_silver_ore'})
    event.remove({id: 'oreganized:smelt_raw_silver'})

    event.remove({id: 'quark:building/crafting/compressed/bonded_leather_uncompress'})
    event.remove({id: 'quark:building/crafting/compressed/bonded_leather'})
    event.remove({id: 'quark:building/crafting/compressed/charcoal_block_uncompress'})
    event.remove({id: 'quark:building/crafting/compressed/charcoal_block'})
    event.remove({id: 'quark:tweaks/blasting/raw_copper_bricks_blast'})
    event.remove({id: 'quark:tweaks/blasting/raw_gold_block_blast'})
    event.remove({id: 'quark:tweaks/blasting/raw_gold_bricks_blast'})
    event.remove({id: 'quark:tweaks/blasting/raw_iron_block_blast'})
    event.remove({id: 'quark:tweaks/blasting/raw_iron_bricks_blast'})
    event.remove({id: 'quark:tweaks/smelting/raw_copper_bricks_blast'})
    event.remove({id: 'quark:tweaks/smelting/raw_gold_block_smelt'})
    event.remove({id: 'quark:tweaks/smelting/raw_gold_bricks_smelt'})
    event.remove({id: 'quark:tweaks/smelting/raw_iron_block_smelt'})
    event.remove({id: 'quark:tweaks/smelting/raw_iron_bricks_smelt'})

    event.remove({id: 'vintage:crushing/scoria_recycling'})
    event.remove({id: 'vintage:crushing/scoria'})



    event.remove({ output: /sophisticatedstorage:\w+_chest/ })
    event.remove({ output: /sophisticatedstorage:\w+chest/ })
    event.remove({ output: /sophisticatedstorage:basic\w+tier_upgrade/ })
    event.remove({ output: /sophisticatedstorage:chest/ })
    event.remove({ output: /sophisticatedstorage:chest\w+/ })



    event.replaceInput({mod: 'createdieselgenerators' }, 'create:andesite_alloy', '#forge:ingots/steel')



    shaped(Item.of('create:andesite_alloy'), ["NA ", "AN "], {
        N: 'create:copper_nugget',
        A: 'minecraft:andesite'
    })

    shapeless(Item.of('create:polished_rose_quartz'), [
        'regions_unexplored:prismarite_cluster',
        'alexsmobs:bison_fur'
    ])

    shapeless(Item.of('create_new_age:copper_wire'), [
        "create_cogs_invaders:copper_wire", 
        "create_henry:rubber"
    ])

    shaped(Item.of('createmetallurgy:sturdy_whisk'), [" A ", "SAS", "BSB"], {
        S: 'alexsmobs:rocky_shell',
        A: 'create:andesite_alloy',
        B: 'alexsmobs:fish_bones'
    })

    shaped(Item.of('createdieselgenerators:hammer'), ["AIA", "ISI", "SIA"], {
        S: 'minecraft:stick',
        A: 'create:andesite_alloy',
        I: '#forge:ingots'
    })

    shaped(Item.of('createdieselgenerators:pumpjack_head'), ["S S", "AWA", "S S"], {
        W: 'alexsmobs:tendon_whip',
        A: 'create:andesite_alloy',
        S: '#forge:ingots/steel'
    })

    shaped(Item.of('create:empty_blaze_burner'), [" P ", "PBP", " P "], {
        B: '#forge:basalt_blocks',
        P: '#forge:plates'
    })

    shaped(Item.of('create:blaze_burner'), [" M ", "MEM", "BBB"], {
        M: 'minecraft:magma_block',
        E: 'create:empty_blaze_burner',
        B: '#forge:basalt_blocks'
    })
})

